### Method

# St TextureCache load_cairo_surface_to_gicon

#### Declaration [src]

    GIcon*
    st_texture_cache_load_cairo_surface_to_gicon (
      StTextureCache* cache,
      cairo_surface_t* surface
    )

#### Description [src]

Create a `GIcon` from `surface`.

#### Parameters

`surface`

  Type: `cairo_surface_t`

  A #cairo_surface_t.

  The data is owned by the caller of the method.

#### Return value

Type: `GIcon`

A new `GIcon`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.